Subject: bug#2386: 23.0.60; term.el doesn't manage correctly accented characters typed from keyboard

From: Matthieu Moy <[email-masked]>
Date: Thu, 19 Feb 2009 15:01:15 +0100

Hi,

I have $LANG: en_US.UTF-8, and emacs22 used to accept accented
characters typed in a *ansi-term* buffer :

(from emacs22 -Q with M-x ansi-term RET)

$ echo 'éèàù'
éèàù

Emacs23 fails here: accented characters appear when I type them, and
disapear immediately after I type anything else. This seems to be
because accented letters are bound to `self-insert-command' instead of
beign bound to `term-send-raw' as it used to be the case with Emacs22.

As a workaround, I have this:

  (dolist (letter (string-to-list "éÉèÈçÇæÆòÒìÌàÀ€°←↓µùÙè«» "))
    (define-key term-raw-map (vector letter) 'term-send-raw))

But I'm sure a cleaner fix is possible.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/moy/local/usr/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.8.20)
 of 2008-09-10 on bauges
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
configured using `configure  '--with-x-toolkit=gtk' '--prefix=/home/moy/local/usr/''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Term

Minor modes in effect:
  erc-track-mode: t
  recentf-mode: t
  global-whitespace-mode: t
  global-hl-line-mode: t
  icomplete-mode: t
  auto-image-file-mode: t
  which-function-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t

Recent input:
<f11> l s <return> ' é g <backspace> <backspace> <backspace> 
M-x r e p o r t <tab> <return>

Recent messages:
Source file `/home/moy/usr/emacs-lisp/dvc/moy/lisp/dvc-defs.el' newer than byte-compiled file
Source file `/home/moy/usr/emacs-lisp/dvc/moy/lisp/dvc-site.el' newer than byte-compiled file
Source file `/home/moy/usr/emacs-lisp/dvc/moy/lisp/dvc-utils.el' newer than byte-compiled file
Source file `/home/moy/usr/emacs-lisp/dvc/moy/lisp/dvc-buffers.el' newer than byte-compiled file
Source file `/home/moy/usr/emacs-lisp/dvc/moy/lisp/dvc-ui.el' newer than byte-compiled file
Loading /home/moy/usr/emacs-lisp/dvc/moy/dvc-load.el (source)...done
Loading /home/moy/usr/emacs-lisp/nxml-mode-20041004/rng-auto.el (source)...done
Loading .emacs.el : Done
Agent pid 5584
For information about GNU Emacs and the GNU system, type C-h C-a.

-- 
Matthieu